# Function process

- process(options): Process<CandidateSearchResult>

- Issue GraphQL queries for possibly-related networks.

  This is called repeatedly, passing the resulting `alreadyTried` to the next invocation.

  #### Parameters

  - ##### options: {
    alreadyTried: string[];
    disableIndex?: boolean;
    network: Resources.IdObject<"networks">;
    relationship: "ancestor" | "descendant";
    }

    - ##### alreadyTried: string[]

    - ##### `Optional` disableIndex?: boolean

    - ##### network: Resources.IdObject<"networks">

    - ##### relationship: "ancestor" | "descendant"

  #### Returns Process<CandidateSearchResult>

  - Defined in packages/db/src/network/query/nextPossiblyRelatedNetworks.ts:21

Generated using TypeDoc